Subject: Re: [PATCH/RFC] core.precomposeunicode is true by default

From: Torsten Bögershausen <[email-masked]>
Date: Tue, 27 Aug 2013 21:34:09 +0200

On 2013-08-27 18.27, Junio C Hamano wrote:
> Torsten Bögershausen <[email-masked]> writes:
> 
>>>> 2)
>>>> When we access a repo from Windows/Linux using SAMBA,
>>> You mean s/repo/repository that resides on HFS+/?
>> Sorry being unclear here, trying being clearer with an example:
>> I have a /data/Docs on my linux box, which is handled by git
>>
>> I export /data/Docs via SAMBA, and use the Finder under Mac OS to have it
>> mounted on my Mac OS X box:
>> //tb@Linux/Docs on /Volumes/Docs (smbfs, nodev, nosuid, mounted by tb)
>>>> readdir() will return decomposed.
>>>> When the repo is created by nonMacOS, core.precomposeunicode is undefined.
>>>> The precomposition is off, but should be on, 
>>>> precomposed_unicode = -1, but should be = 1
>>> I do not think UTF-8-MAC is widely available; even if you flip the
>>> bit on, would it help much?
>> In the above example
>> /data/Docs/.git/config was created by Linux, so it does not have
>> core.precomposeunicode set, neither false nor true.
>> The Linux box does not have  UTF-8-MAC under iconv,
>> but will ignore core.precomposeunicode anyway (since the code is not compiled here)
>>
>> The Mac OS machine sees it under /Volumes/Docs/.git/config
>> And here we want the precomposition, even if core.precomposeunicode
>> is not present in the config.
> 
> It almost makes me wonder if you want not a per-repository but a
> per-machine configuration, i.e. "Whichever repository I am
> accessing, either on a local filesystem or shared over the network,
> readdir() on my box reports wrong paths, and I need correction."
> 
> That, or "if it hurts, don't do the remote mount then."
No, we don't need to be that restrictive.
We already have repository/user/system wide configuration files,
allowing tweeks and this is a good thing.

Re-Re-reading $gmane/188940: 
I am happy having the V2 patch from today being queued, thanks.

As a next step I will have a look into the advice machine.